<?php

namespace App\Http\Controllers\V1;


use Dingo\Api\Routing\Helpers;
use App\Http\Controllers\Controller as BaseController;

class Controller extends BaseController
{
    use Helpers;

    public function jsonSuccess($data = [], $msg = "成功")
    {
        $response = array(
            'code' => 0,
            'msg' => $msg,
            'data' => []
        );
        if ($data) {
            if (is_array($data)) {
                //带有分页格式转换
                if (isset($data['meta'])) {
                    // 更改元数据格式，全部包含在data下
                    $temp = array(
                        'data' => array(
                            'data' => $data['data'],
                            'pagination' => $data['meta']['pagination']
                        )
                    );
                    $response = array_merge($response, $temp);
                } elseif(isset($data['data'])) {
                    $response = array_merge($response, $data);
                }else{
                    $temp = array(
                        'data' => $data
                    );
                    $response = array_merge($response, $temp);
                }
            } else {
                $response['data'] = $data;
            }
        }
        return $response;
    }

    public function jsonError($msg)
    {
        $response = array(
            'code' => 1,
            'msg' => $msg,
            'data' => ""
        );
        return $response;
    }
}
